Bug 727780 - Review Request: ruby-qt - Ruby bindings for Qt 4
Summary: Review Request: ruby-qt - Ruby bindings for Qt 4
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 08:33 UTC by Ngo Than
Modified: 2011-08-18 17:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-18 17:10:31 UTC
jreznik: fedora-review+


Attachments (Terms of Use)

Description Ngo Than 2011-08-03 08:33:42 UTC
Spec URL: http://than.fedorapeople.org/rawhide/qtruby.spec
SRPM URL: http://than.fedorapeople.org/rawhide/qtruby-4.7.0-1.src.rpm 
Description:  This package includes ruby bindings for Qt4.

Split packaging for QtRuby which was part in kdebindings.

Comment 1 Jaroslav Reznik 2011-08-04 09:42:36 UTC
Name: ? shouldn't we name it according ruby package naming scheme ruby-qt [1]
Summary: ok just s/QT4/Qt 4
License: invalid-license LGPLv2.1+
Group: ok
URL: ok
Sources: ok (md5sum d17198b985f954cedd92ab669623de59)
BuildRoot: ok
Requires/BuildRequires: not ok according to Ruby packaging guideline (no ABI specified) etc.
Provides/Obsoletes: not ok, non sense to obsolete/provide same package (as it was in kdebindings subpackage already)
Description: ok
Devel package: ok (but same prov/obs)
Macros usage: ok, consistent
ldconfig: ok
Other Ruby requirements: ok
Docs: ok

rpmlint qtruby-4.7.0-1.src.rpm 
qtruby.src: W: invalid-license LGPLv2.1+
qtruby.src: E: specfile-error sh: ruby: command not found
qtruby.src: E: specfile-error sh: ruby: command not found
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

[1] http://fedoraproject.org/wiki/Packaging:Ruby

Comment 2 Ngo Than 2011-08-04 10:43:27 UTC
(In reply to comment #1)
> Name: ? shouldn't we name it according ruby package naming scheme ruby-qt [1]
it's not in packaging guideline, i think it's better to follow the upstream name scheme

> Summary: ok just s/QT4/Qt 4
> License: invalid-license LGPLv2.1+
> Group: ok
> URL: ok
> Sources: ok (md5sum d17198b985f954cedd92ab669623de59)
> BuildRoot: ok
> Requires/BuildRequires: not ok according to Ruby packaging guideline (no ABI
> specified) etc.
fixed

> Provides/Obsoletes: not ok, non sense to obsolete/provide same package (as it
> was in kdebindings subpackage already)
we need it for upgrade process.

> Description: ok
> Devel package: ok (but same prov/obs)
> Macros usage: ok, consistent
> ldconfig: ok
> Other Ruby requirements: ok
> Docs: ok
> 

> qtruby.src: W: invalid-license LGPLv2.1+
fixed

> qtruby.src: E: specfile-error sh: ruby: command not found
> qtruby.src: E: specfile-error sh: ruby: command not found
> 1 packages and 0 specfiles checked; 2 errors, 1 warnings.

it's rpmlint bug

Comment 3 Vít Ondruch 2011-08-04 13:00:06 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Name: ? shouldn't we name it according ruby package naming scheme ruby-qt [1]
> it's not in packaging guideline, i think it's better to follow the upstream
> name scheme

For Ruby packages you should follow Ruby packaging guidelines [1]. Of course they specify also the mentioned "ruby-" prefix [2] which is clearly the case for QT binding.

> > Summary: ok just s/QT4/Qt 4
> > License: invalid-license LGPLv2.1+
> > Group: ok
> > URL: ok
> > Sources: ok (md5sum d17198b985f954cedd92ab669623de59)
> > BuildRoot: ok
> > Requires/BuildRequires: not ok according to Ruby packaging guideline (no ABI
> > specified) etc.
> fixed

Here [3] is the guideline.

> > Provides/Obsoletes: not ok, non sense to obsolete/provide same package (as it
> > was in kdebindings subpackage already)
> we need it for upgrade process.
> 
> > Description: ok
> > Devel package: ok (but same prov/obs)
> > Macros usage: ok, consistent
> > ldconfig: ok
> > Other Ruby requirements: ok
> > Docs: ok
> > 
> 
> > qtruby.src: W: invalid-license LGPLv2.1+
> fixed
> 
> > qtruby.src: E: specfile-error sh: ruby: command not found
> > qtruby.src: E: specfile-error sh: ruby: command not found
> > 1 packages and 0 specfiles checked; 2 errors, 1 warnings.
> 
> it's rpmlint bug

You probably don't have ruby installed on your machine.

[1] https://fedoraproject.org/wiki/Packaging:Ruby
[2] https://fedoraproject.org/wiki/Packaging:Ruby#Naming_Guidelines
[3] https://fedoraproject.org/wiki/Packaging:Ruby#Ruby_Packaging_Guidelines

Comment 4 Vít Ondruch 2011-08-04 13:21:28 UTC
BTW the package does not build in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3251955

Comment 5 Jaroslav Reznik 2011-08-04 13:42:50 UTC
Good spot Vit, thanks,
Than, please add %{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} } to the spec file so cmake_kde4 is brought in.

Comment 6 Ngo Than 2011-08-04 14:01:43 UTC
ruby-qt-4.7.0-1.src.rpm , ruby-qt.spec ware uploaded. all issues should be fixed in this new package.

thanks

Comment 7 Jaroslav Reznik 2011-08-04 14:24:36 UTC
Does not build "%setup -q -n qt-ruby" is missing - http://koji.fedoraproject.org/koji/taskinfo?taskID=3252077

Comment 8 Ngo Than 2011-08-04 14:30:51 UTC
new packages were uploaded and include the fix for above issue

Comment 9 Vít Ondruch 2011-08-04 14:45:27 UTC
* The release should include %{dist} macro
  Release: 1%{?dist}

Comment 10 Ngo Than 2011-08-04 15:30:08 UTC
(In reply to comment #9)
> * The release should include %{dist} macro
>   Release: 1%{?dist}

it's now fixed in new package
http://koji.fedoraproject.org/koji/taskinfo?taskID=3252297

thanks

Than

Comment 11 Vít Ondruch 2011-08-05 08:25:29 UTC
The package looks good. However

* Is it possible to execute the test suite in %check section?
* The examples might be worth of including into -doc subpackage.
* There is "rails_support" available in sources. It might be good idea
  to include it in some -rails subpackage.

Comment 12 Ngo Than 2011-08-16 16:32:54 UTC
(In reply to comment #11)
> The package looks good. However
> 
> * Is it possible to execute the test suite in %check section?
it doesn't work yet, but we can enable it in the future

> * The examples might be worth of including into -doc subpackage.
yes, it's included in ruby-qt-examples

> * There is "rails_support" available in sources. It might be good idea
>   to include it in some -rails subpackage.

it doesn't make sense to split it to subpackage.

Than

Comment 13 Jaroslav Reznik 2011-08-17 12:22:09 UTC
Ok,
thanks Than and Vit! I agree with Than regarding rails_support but of course if someone asks, it can be packaged separately.

rpmlint ruby-qt-4.7.0-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

package builds correctly http://koji.fedoraproject.org/koji/taskinfo?taskID=3279572

APPROVED

Comment 14 Ngo Than 2011-08-17 16:19:09 UTC
Thanks!

New Package SCM Request
=======================
Package Name: ruby-qt
Short Description: Ruby bindings for Qt 4
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f15

Comment 15 Gwyn Ciesla 2011-08-18 10:09:22 UTC
Please make the name in the summary and Package Request match.  Also, don't
forget the f16 branch.

Comment 16 Ngo Than 2011-08-18 10:21:16 UTC
New Package SCM Request
=======================
Package Name: ruby-qt
Short Description: Ruby bindings for Qt 4
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f15 and f16

Comment 17 Gwyn Ciesla 2011-08-18 13:02:40 UTC
Complete, but there were hiccups, let me know if anything isn't right.  It
should be fine.

Comment 18 Ngo Than 2011-08-18 17:10:31 UTC
ruby-qt was commited and built. thanks


Note You need to log in before you can comment on or make changes to this bug.